Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.out.types.descriptors
Class ENLOCErrorOutTypeTypeDescriptor

    java.lang.Object
      org.exolab.castor.xml.Validator
          org.exolab.castor.xml.util.XMLClassDescriptorImpl
              es.inteco.xbrl.lenlocpenloc.errors.out.types.descriptors.ENLOCErrorOutTypeTypeDescriptor

All Implemented Interfaces:
  org.exolab.castor.mapping.ClassDescriptor, org.exolab.castor.xml.TypeValidator, org.exolab.castor.xml.validators.ClassValidator, org.exolab.castor.xml.XMLClassDescriptor

    public class ENLOCErrorOutTypeTypeDescriptor

extends org.exolab.castor.xml.util.XMLClassDescriptorImpl

Class ENLOCErrorOutTypeTypeDescriptor. Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ENLOCErrorOutTypeTypeDescriptor()`

Method Summary
`org.exolab.castor.mapping.AccessMode` | `getAccessMode()` Method getAccessMode.
`org.exolab.castor.mapping.FieldDescriptor` | `getIdentity()` Method getIdentity.
`java.lang.Class` | `getJavaClass()` Method getJavaClass.
`java.lang.String` | `getNameSpacePrefix()` Method getNameSpacePrefix.
`java.lang.String` | `getNameSpaceURI()` Method getNameSpaceURI.
`org.exolab.castor.xml.TypeValidator` | `getValidator()` Method getValidator.
`java.lang.String` | `getXMLName()` Method getXMLName.
`boolean` | `isElementDefinition()` Method isElementDefinition.

Methods inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl
`addFieldDescriptor, canAccept, checkDescriptorForCorrectOrderWithinSequence, contains, getAttributeDescriptors, getContentDescriptor, getElementDescriptors, getExtends, getFieldDescriptor, getFields, getSubstitutes, hasContainerFields, isChoice, removeFieldDescriptor, setCompositorAsAll, setCompositorAsChoice, setCompositorAsSequence, setElementDefinition, setExtends, setIdentity, setJavaClass, setNameSpacePrefix, setNameSpaceURI, setSubstitutes, setXMLName, sortDescriptors, toString, validate, validate`

Methods inherited from class org.exolab.castor.xml.Validator
`checkUnresolvedIdrefs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ENLOCErrorOutTypeTypeDescriptor

    public ENLOCErrorOutTypeTypeDescriptor()

Method Detail

### getAccessMode

    public org.exolab.castor.mapping.AccessMode getAccessMode()

  Method getAccessMode.

  Overrides:
    `getAccessMode` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the access mode specified for this class.

### getIdentity

    public org.exolab.castor.mapping.FieldDescriptor getIdentity()

  Method getIdentity.

  Specified by:
    `getIdentity` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getIdentity` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the identity field, null if this class has no identity.

### getJavaClass

    public java.lang.Class getJavaClass()

  Method getJavaClass.

  Specified by:
    `getJavaClass` in interface `org.exolab.castor.mapping.ClassDescriptor`
  Overrides:
    `getJavaClass` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the Java class represented by this descriptor.

### getNameSpacePrefix

    public java.lang.String getNameSpacePrefix()

  Method getNameSpacePrefix.

  Specified by:
    `getNameSpacePrefix` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getNameSpacePrefix` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the namespace prefix to use when marshaling as XML.

### getNameSpaceURI

    public java.lang.String getNameSpaceURI()

  Method getNameSpaceURI.

  Specified by:
    `getNameSpaceURI` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getNameSpaceURI` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the namespace URI used when marshaling and unmarshaling as XML.

### getValidator

    public org.exolab.castor.xml.TypeValidator getValidator()

  Method getValidator.

  Specified by:
    `getValidator` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getValidator` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    a specific validator for the class described by this ClassDescriptor.

### getXMLName

    public java.lang.String getXMLName()

  Method getXMLName.

  Specified by:
    `getXMLName` in interface `org.exolab.castor.xml.XMLClassDescriptor`
  Overrides:
    `getXMLName` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    the XML Name for the Class being described.

### isElementDefinition

    public boolean isElementDefinition()

  Method isElementDefinition.

  Overrides:
    `isElementDefinition` in class `org.exolab.castor.xml.util.XMLClassDescriptorImpl`
  Returns:
    true if XML schema definition of this Class is that of a global element or element with anonymous type definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD